OpenNMS API 1.2.9

## org.opennms.netmgt.config
Class PollOutagesConfigFactory

    java.lang.Object
      org.opennms.netmgt.config.PollOutagesConfigManager
          org.opennms.netmgt.config.PollOutagesConfigFactory

All Implemented Interfaces:
  PollOutagesConfig

public final class PollOutagesConfigFactory
extends PollOutagesConfigManager

This is the singleton class used to load the configuration for the poller outages from the poll-outages xml file. Note: Users of this class should make sure the init() is called before calling any other method to ensure the config is loaded before accessing other convenience methods.

Author:
  Sowmya Nataraj , OpenNMS

Field Summary
`private static boolean` `m_loaded` This member is set to true if the configuration file has been loaded.
`private static PollOutagesConfigFactory` `m_singleton` The singleton instance of this factory

Fields inherited from class org.opennms.netmgt.config.PollOutagesConfigManager
`FORMAT1, FORMAT2, m_dayOfWeekMap`

Constructor Summary
`(package private)` `PollOutagesConfigFactory(java.lang.String configFile)` Private constructor

Method Summary
`static PollOutagesConfigFactory` `getInstance()` Return the singleton instance of this factory.
`static void` `init()` Load the config from the default config file and create the singleton instance of this factory.
`static void` `reload()` Reload the config from the default config file
`protected void` `saveXML(java.lang.String xmlString)`
`void` `update()`

Methods inherited from class org.opennms.netmgt.config.PollOutagesConfigManager
`addOutage, createDayOfWeekMapping, getConfig, getEndOfOutage, getEndOfOutage, getInterfaces, getNodeIds, getOutage, getOutages, getOutageTimes, getOutageType, isCurTimeInOutage, isCurTimeInOutage, isInterfaceInOutage, isInterfaceInOutage, isNodeIdInOutage, isNodeIdInOutage, isTimeInOutage, isTimeInOutage, isTimeInOutage, removeOutage, removeOutage, replaceOutage, saveCurrent, setConfig`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_singleton

    private static PollOutagesConfigFactory m_singleton

  The singleton instance of this factory

### m_loaded

    private static boolean m_loaded

  This member is set to true if the configuration file has been loaded.

Constructor Detail

### PollOutagesConfigFactory

    PollOutagesConfigFactory(java.lang.String configFile)
                       throws java.io.IOException,
                              org.exolab.castor.xml.MarshalException,
                              org.exolab.castor.xml.ValidationException

  Private constructor

Throws:
  `java.io.IOException` - Thrown if the specified config file cannot be read
  `org.exolab.castor.xml.MarshalException` - Thrown if the file does not conform to the schema.
  `org.exolab.castor.xml.ValidationException` - Thrown if the contents do not match the required schema.

Method Detail

### init

    public static void init()
                     throws java.io.IOException,
                            org.exolab.castor.xml.MarshalException,
                            org.exolab.castor.xml.ValidationException

  Load the config from the default config file and create the singleton instance of this factory.

  Throws:
    `java.io.IOException` - Thrown if the specified config file cannot be read
    `org.exolab.castor.xml.MarshalException` - Thrown if the file does not conform to the schema.
    `org.exolab.castor.xml.ValidationException` - Thrown if the contents do not match the required schema.

### reload

    public static void reload()
                       throws java.io.IOException,
                              org.exolab.castor.xml.MarshalException,
                              org.exolab.castor.xml.ValidationException

  Reload the config from the default config file

  Throws:
    `java.io.IOException` - Thrown if the specified config file cannot be read/loaded
    `org.exolab.castor.xml.MarshalException` - Thrown if the file does not conform to the schema.
    `org.exolab.castor.xml.ValidationException` - Thrown if the contents do not match the required schema.

### getInstance

    public static PollOutagesConfigFactory getInstance()

  Return the singleton instance of this factory.

  Returns:
    The current factory instance.
  Throws:
    `java.lang.IllegalStateException` - Thrown if the factory has not yet been initialized.

### saveXML

    protected void saveXML(java.lang.String xmlString)
                    throws java.io.IOException,
                           org.exolab.castor.xml.MarshalException,
                           org.exolab.castor.xml.ValidationException

  Specified by:
    `saveXML` in class `PollOutagesConfigManager`
  Throws:
    `java.io.IOException`
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### update

    public void update()
                throws java.io.IOException,
                       org.exolab.castor.xml.MarshalException,
                       org.exolab.castor.xml.ValidationException

  Specified by:
    `update` in interface `PollOutagesConfig`
  Specified by:
    `update` in class `PollOutagesConfigManager`
  Throws:
    `java.io.IOException`
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.